Author: linus
Date: 2008-05-05 11:46:06-0700
New Revision: 14628

Modified:
   trunk/documentation/build.bat
   trunk/documentation/build.sh

Log:
Allow for both checkout layouts.

Modified: trunk/documentation/build.bat
Url: 
http://argouml.tigris.org/source/browse/argouml/trunk/documentation/build.bat?view=diff&rev=14628&p1=trunk/documentation/build.bat&p2=trunk/documentation/build.bat&r1=14627&r2=14628
==============================================================================
--- trunk/documentation/build.bat       (original)
+++ trunk/documentation/build.bat       2008-05-05 11:46:06-0700
@@ -5,7 +5,21 @@
 rem
 
 setlocal
+echo Searching for tools dir...
+
+set ANT_HOME=..\tools\apache-ant-1.7.0
+echo trying %ANT_HOME%
+if exist %ANT_HOME% goto antpathok
+
 set ANT_HOME=..\argouml-core-tools\apache-ant-1.7.0
+echo trying %ANT_HOME%
+if exist %ANT_HOME% goto antpathok
+
+echo Could not find tools dir.
+goto endfail
+
+:antpathok
+echo Ant Found
 
 :: Convert relative path to absolute
 pushd %ANT_HOME%

Modified: trunk/documentation/build.sh
Url: 
http://argouml.tigris.org/source/browse/argouml/trunk/documentation/build.sh?view=diff&rev=14628&p1=trunk/documentation/build.sh&p2=trunk/documentation/build.sh&r1=14627&r2=14628
==============================================================================
--- trunk/documentation/build.sh        (original)
+++ trunk/documentation/build.sh        2008-05-05 11:46:06-0700
@@ -6,7 +6,16 @@
 #
  
 # Always use the ant that comes with ArgoUML
-ANT_HOME=../argouml-core-tools/apache-ant-1.7.0
+if [ -e `pwd`/../argouml-core-tools ] ; then
+    ANT_HOME=`pwd`/../argouml-core-tools/apache-ant-1.7.0
+elif [ -e `pwd`/../tools ] ; then
+    ANT_HOME=`pwd`/../tools/apache-ant-1.7.0
+else
+    echo "***************************************************************"
+    echo "  ERROR: tools directory not found."
+    echo "***************************************************************"
+    exit 1
+fi
 
 echo ANT_HOME is: $ANT_HOME
 echo

---------------------------------------------------------------------
To unsubscribe, e-mail: [EMAIL PROTECTED]
For additional commands, e-mail: [EMAIL PROTECTED]

Reply via email to